/*! @file

    @id $Id$
*/
//       1         2         3         4         5         6         7         8
// 45678901234567890123456789012345678901234567890123456789012345678901234567890

#include <string>

namespace NAMESPACE {
  /// get package string which consists of package name and package version
  std::string package_string();
  /// get package name
  std::string package_name();
  /// get package version
  std::string version();
  /// get code build date
  std::string build_date();
  /// get author, i.e. copyright holder
  std::string author();
  /// get short package description (1st line of README)
  std::string description();
  /// get long package description (starting at 3rd line in README)
  std::string readme();
  /// get package logo file name
  std::string logo();
  /// get package icon file name
  std::string icon();
  /// used for <code>what filename</code>
  extern const std::string WHAT;
  /// used for <code>ident filename</code>
  extern const std::string IDENT;
}
